taccuino.vo

## Class DoloreRequestDTO

- java.lang.Object
- - taccuino.vo.DoloreRequestDTO

- Direct Known Subclasses:
    DoloreResponseDTO

      public class DoloreRequestDTO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoloreRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAiCode()`
    `java.lang.String` | `getAiCodeSystem()`
    `java.lang.String` | `getAiCodeSystemName()`
    `java.lang.Double` | `getAiCodeSystemVersion()`
    `java.lang.String` | `getAreaInteressata()`
    `java.time.LocalDate` | `getDataFineDolore()`
    `java.time.LocalDate` | `getDataInizioDolore()`
    `java.lang.String` | `getDescCode()`
    `java.lang.String` | `getDescCodeSystem()`
    `java.lang.String` | `getDescCodeSystemName()`
    `java.lang.Double` | `getDescCodeSystemVersion()`
    `java.lang.String` | `getDescrizione()`
    `java.lang.String` | `getValore()`
    `void` | `setAiCode(java.lang.String aiCode)`
    `void` | `setAiCodeSystem(java.lang.String aiCodeSystem)`
    `void` | `setAiCodeSystemName(java.lang.String aiCodeSystemName)`
    `void` | `setAiCodeSystemVersion(java.lang.Double aiCodeSystemVersion)`
    `void` | `setAreaInteressata(java.lang.String areaInteressata)`
    `void` | `setDataFineDolore(java.time.LocalDate dataFineDolore)`
    `void` | `setDataInizioDolore(java.time.LocalDate dataInizioDolore)`
    `void` | `setDescCode(java.lang.String descCode)`
    `void` | `setDescCodeSystem(java.lang.String descCodeSystem)`
    `void` | `setDescCodeSystemName(java.lang.String descCodeSystemName)`
    `void` | `setDescCodeSystemVersion(java.lang.Double descCodeSystemVersion)`
    `void` | `setDescrizione(java.lang.String descrizione)`
    `void` | `setValore(java.lang.String valore)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoloreRequestDTO

          public DoloreRequestDTO()

  - ### Method Detail

    - #### getDataInizioDolore

          public java.time.LocalDate getDataInizioDolore()

    - #### setDataInizioDolore

          public void setDataInizioDolore(java.time.LocalDate dataInizioDolore)

    - #### getDataFineDolore

          public java.time.LocalDate getDataFineDolore()

    - #### setDataFineDolore

          public void setDataFineDolore(java.time.LocalDate dataFineDolore)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getAreaInteressata

          public java.lang.String getAreaInteressata()

    - #### setAreaInteressata

          public void setAreaInteressata(java.lang.String areaInteressata)

    - #### getValore

          public java.lang.String getValore()

    - #### setValore

          public void setValore(java.lang.String valore)

    - #### getDescCode

          public java.lang.String getDescCode()

    - #### setDescCode

          public void setDescCode(java.lang.String descCode)

    - #### getDescCodeSystem

          public java.lang.String getDescCodeSystem()

    - #### setDescCodeSystem

          public void setDescCodeSystem(java.lang.String descCodeSystem)

    - #### getDescCodeSystemName

          public java.lang.String getDescCodeSystemName()

    - #### setDescCodeSystemName

          public void setDescCodeSystemName(java.lang.String descCodeSystemName)

    - #### getAiCode

          public java.lang.String getAiCode()

    - #### setAiCode

          public void setAiCode(java.lang.String aiCode)

    - #### getAiCodeSystem

          public java.lang.String getAiCodeSystem()

    - #### setAiCodeSystem

          public void setAiCodeSystem(java.lang.String aiCodeSystem)

    - #### getAiCodeSystemName

          public java.lang.String getAiCodeSystemName()

    - #### setAiCodeSystemName

          public void setAiCodeSystemName(java.lang.String aiCodeSystemName)

    - #### getDescCodeSystemVersion

          public java.lang.Double getDescCodeSystemVersion()

    - #### setDescCodeSystemVersion

          public void setDescCodeSystemVersion(java.lang.Double descCodeSystemVersion)

    - #### getAiCodeSystemVersion

          public java.lang.Double getAiCodeSystemVersion()

    - #### setAiCodeSystemVersion

          public void setAiCodeSystemVersion(java.lang.Double aiCodeSystemVersion)